Skip to main content
Skill

创建 Skill

上传技能包创建新技能

POST
/api/v1/agentstudio/skills
cURL
curl --request POST \
  --url 'https://{workspace_id}.{region}.maas.aliyuncs.com/api/v1/agentstudio/skills' \
  --header 'Authorization: Bearer <YOUR_API_KEY>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "file_id": "file_xxx"
}
'
{
  "id": "skill_xxx",
  "type": "skill",
  "name": "pdf3.0",
  "description": "Use this skill whenever the user wants to do anything with PDF files...",
  "source": "customer",
  "status": "checking",
  "latest_version": "1.0",
  "created_at": "2026-06-16T07:56:03Z",
  "updated_at": "2026-06-16T07:56:03Z",
  "request_id": "xxx"
}

Authorizations

string
header
required

DashScope API Key

Body

application/json
string
required

已上传的 zip 包文件 ID,对应文件须为 .zip 且通过审核;zip 包根目录须包含 SKILL.md

Response

200-application/json
string

技能 ID,格式 skill_xxx

string

固定为 skill

string

从 zip 包内 SKILL.md 解析得到

string

从 zip 包内 SKILL.md 解析得到

enum<string>

来源:customer(自建)/ official(阿里云百炼官方)

customer,official
enum<string>

扫描状态,仅 active 可挂载

checking,active,rejected,deleted
string

最新版本号,挂载到智能体时不能锁定到 latest,必须指定具体版本号

string

创建时间,ISO 8601

string

最近更新时间,ISO 8601

string

本次请求的唯一标识

Managed Agent API
Sandbox API
Security API
记忆库 API
Flow Agent API
RAG API
Connector API
ParseX API
框架集成
  • 框架
Assistant API(下线中)
  • 概览